FreeMat

- Main Page
- Related Pages

vtkPolyDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkPolyDataReader is a source object that reads ASCII or binary polygonal data files in vtk format (see text for format details). The output of this reader is a single vtkPolyData data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkPolyDataReader, simply invoke its constructor as follows

      obj = vtkPolyDataReader

# Methods

The class vtkPolyDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolyDataReader = obj.NewInstance ()`
- `vtkPolyDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkPolyData = obj.GetOutput ()` - Get the output of this reader.
- `vtkPolyData = obj.GetOutput (int idx)` - Get the output of this reader.
- `obj.SetOutput (vtkPolyData output)` - Get the output of this reader.